// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// public $Header: /LocalDeveloper/Source/CVS/OmniGroup/OIF/OIAnimationFrame.h,v 1.4 1997/12/29 02:06:56 kc Exp $

#import "OIImage.h"

#import <Foundation/NSDate.h> // For NSTimeInterval

@interface OIAnimationFrame : OIImage
{
    OIImage *image;
    NSTimeInterval delayInterval;
}

- initWithDelayInterval:(NSTimeInterval)aDelayInterval;

- (NSTimeInterval)delayInterval;

@end
