// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// public $Header: /LocalDeveloper/Source/CVS/OmniGroup/OIF/OIAnimationInstance.h,v 1.5 1997/12/29 02:06:56 kc Exp $

#import "OIImage.h"

@class OIAnimation, OIAnimationFrame;

@interface OIAnimationInstance : OIImage <OIImageObserver>
{
    OIAnimation *animation;
    OIAnimationFrame *frame;
    unsigned int remainingLoops;
    unsigned int nextFrame;
}

- initWithAnimation:(OIAnimation *)animation;

// Called by the animation, possibly from another thread.
- (void)animationEnded;
- (void)animationReceivedFrame:(OIAnimationFrame *)frame;

@end
