// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// public $Header: /LocalDeveloper/Source/CVS/OmniGroup/OIF/OIBitmapImageProcessor.h,v 1.2 1997/08/28 08:51:19 kc Exp $

#import "OIImageProcessor.h"

@class NSBitmapImageRep;

@interface OIBitmapImageProcessor : OIImageProcessor
{
    /* output storage */
    unsigned int                numberOfPlanes;
    BOOL                        isPlanar;
    unsigned char              *imageDataPlanes[5];
    NSBitmapImageRep           *resultImageRep;
}

- (void)setImageRep:(NSBitmapImageRep *)imageRep;
- (NSBitmapImageRep *)imageRep;

- (unsigned char **)imageDataPlanes;

@end
