// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Content.subproj/Address.subproj/OWAddressProtocol.h,v 1.5 1998/04/03 20:14:58 wjs Exp $

#ifndef OWAddressProtocolHeader
#define OWAddressProtocolHeader

#import "OWContentProtocol.h"
#import <Foundation/NSObject.h> // For NSCopying

@class NSString;

@protocol OWAddress <OWContent, NSCopying>
- (NSString *)cacheKey;
- (NSString *)addressString;
- (NSString *)shortDisplayString;
- (NSString *)bestKnownTitle;
- (BOOL)isAlwaysUnique;
@end

#endif
