// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Content.subproj/OWObjectTreeNode.h,v 1.1 1998/04/21 21:45:14 toon Exp $

#import <OmniFoundation/OFObject.h>

@class OWObjectTree;
@class NSMutableArray;

@interface OWObjectTreeNode : OFObject
{
    OWObjectTreeNode *nonretainedParent;
    OWObjectTree *nonretainedRoot;
    NSObject *representedObject;
    NSMutableArray *children;
    BOOL isComplete;
}

- (void)addChild:(OWObjectTreeNode *)aChild;
- (void)childrenEnd;

- (OWObjectTreeNode *)parent;
- (OWObjectTree *)root;
- (NSObject *)representedObject;
- (NSEnumerator *)childEnumerator;
- (unsigned int)childCount;
- (OWObjectTreeNode *)childAtIndex:(unsigned int)index;

- (void)waitForChildren;

@end

