// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Processors.subproj/SGML.subproj/OWSGMLDTD.h,v 1.3 1998/04/25 03:41:06 andrew Exp $

#import <OmniFoundation/OFObject.h>

@class OFTrie;
@class OWContentType, OWSGMLTagType;
@class NSArray;

@interface OWSGMLDTD : OFObject
{
    OFTrie *tagTrie;
    OWContentType *sourceType;
    OWContentType *destinationType;
    unsigned int tagCount;
}

+ (OWSGMLDTD *)dtdForSourceContentType:(OWContentType *)aSourceType;
+ (NSArray *)allDTDs;

- initWithSourceType:(OWContentType *)aSource destinationType:(OWContentType *)aDestination;

- (OFTrie *)tagTrie;
- (OWContentType *)sourceType;
- (OWContentType *)destinationType;
- (unsigned int)tagCount;
- (OWSGMLTagType *)tagTypeNamed:(NSString *)aName;
- (BOOL)hasTagTypeNamed:(NSString *)aName;

@end
