// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Processors.subproj/SGML.subproj/OWSGMLTokenProtocol.h,v 1.1 1998/01/26 05:40:10 kc Exp $

#import <OmniFoundation/OFObject.h>

typedef enum {
    OWSGMLTokenTypeStartTag, OWSGMLTokenTypeEndTag, OWSGMLTokenTypeCData, OWSGMLTokenTypeComment, OWSGMLTokenTypeUnknown
} OWSGMLTokenType;

@protocol OWSGMLToken <NSObject>
- (NSString *)htmlString;
    // Returns the HTML source representation of this token
- (NSString *)string;
    // Returns a string representation of this token
- (OWSGMLTokenType)tokenType;
    // Returns the type of this token
@end
