// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Content.subproj/OWTimeStamp.h,v 1.2 1998/01/26 06:04:21 kc Exp $

#import "OWAbstractContent.h"

@class NSDate;
@class OWContentCache, OWContentType;

#import "OWAddressProtocol.h"

@interface OWTimeStamp : OWAbstractContent
{
    NSDate *date;
    OWContentType *type;
}

+ (OWContentType *)lastChangedContentType;

+ (OWTimeStamp *)cacheDate:(NSDate *)aDate forAddress:(id <OWAddress>)anAddress;
+ (NSDate *)dateForContentCache:(OWContentCache *)contentCache;
+ (NSDate *)dateForAddress:(id <OWAddress>)address;

- (NSDate *)date;

@end

