// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniAppKit/Widgets.subproj/./OAFontView.h,v 1.5 1998/02/09 22:02:02 kc Exp $

#import <AppKit/NSView.h>

@class NSString;
@class NSFont;

#import <AppKit/NSNibDeclarations.h> // For IBOutlet and IBAction
#import "OAFontViewDelegateProtocol.h"

@interface OAFontView : NSView
{
    IBOutlet id <OAFontViewDelegate> delegate;

    NSFont *font;
    NSString *fontDescription;
    NSSize textSize;
}

- (NSFont *)font;
- (void)setFont:(NSFont *)newFont;

- (IBAction)setFontUsingFontPanel:(id)sender;

@end
