// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniAppKit/OAWrapUsage.h,v 1.4 1998/01/12 06:52:17 kc Exp $

// How to use the wraps in OmniAppKitWraps.psw

#import <AppKit/NSGraphics.h>

#import "OAWraps.h"

// Draws a rectangle in white, with dark gray lines above and below

extern void _OAWDrawHGroove(float darkGray, float lightGray, float x, float y, float right, float yMinusOne);

// Draws a dark gray line at y - 1, and a white line at y, for a horizontal groove

#define OAWDrawHGroove(x, y, width) \
    _OAWDrawHGroove(NSDarkGray, NSWhite, (x), (y), (x)+(width), (y) - 1)
