// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniAppKit/Preferences.subproj/OFUserDefaults-OAExtensions.h,v 1.2 1998/01/12 06:52:29 kc Exp $

#import <OmniFoundation/OFUserDefaults.h>

#import <AppKit/NSColor.h>

@interface OFUserDefaults (OAExtensions)

- (NSColor *)colorForKey:(NSString *)defaultName;
- (NSColor *)grayForKey:(NSString *)defaultName;

- (void)setColor:(NSColor *)color forKey:(NSString *)defaultName;
- (void)setGray:(NSColor *)gray forKey:(NSString *)defaultName;

@end