// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniBase/SystemType.h,v 1.1 1998/02/14 02:31:27 kc Exp $

#if defined(WIN32)

//
// OPENSTEP Enterprise 4.2 for Windows NT or Yellow Box for Windows
//

// Unfortunately, Apple has not yet provided any official mechanism for figuring out which version of the libraries you're using.  Fortunately, FOUNDATION_STATIC_INLINE wasn't defined under OPENSTEP Enterprise 4.2.

#import <Foundation/NSObjCRuntime.h>
#ifdef FOUNDATION_STATIC_INLINE

// Yellow Box APIs are available
#ifndef YELLOW_BOX
#define YELLOW_BOX
#endif

#endif

#elif NeXT

//
// NeXT-derived platform, e.g. OPENSTEP/Mach or Rhapsody
//

#if (NS_TARGET_MAJOR > 4) || ((NS_TARGET_MAJOR == 4) && (NS_TARGET_MINOR > 1))

// Yellow Box APIs are available
#ifndef YELLOW_BOX
#define YELLOW_BOX
#endif

// This define is intended to allow one to distinguish between Rhapsody and OPENSTEP for the purposes of conditional code, since Apple has not yet provided an equivalent.
#ifndef RHAPSODY
#define RHAPSODY
#endif

#endif

#endif
