// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OpenStepExtensions.subproj/NSMutableArray-OFExtensions.h,v 1.1 1997/12/19 01:01:31 wjs Exp $

#import <Foundation/NSArray.h>

@interface NSMutableArray (OFExtensions)

- (void)insertObjectsFromArray:(NSArray *)anArray atIndex:(unsigned)anIndex;
- (void)removeIdenticalObjectsFromArray:(NSArray *)removeArray;

// Maintaining sorted arrays
- (void)insertObject:(id)anObject inArraySortedUsingSelector:(SEL)selector;
- (void)removeObject:(id)anObject fromArraySortedUsingSelector:(SEL)selector;

@end
