// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OpenStepExtensions.subproj/NSNotificationCenter-OFExtensions.h,v 1.1 1998/03/18 22:33:37 bungi Exp $

#import <Foundation/NSNotification.h>

@class NSArray;

@interface NSNotificationCenter (OFExtensions)

- (void)addObserver:(id)observer
           selector:(SEL)aSelector
               name:(NSString *)aName
            objects:(NSArray *)objects;
/* Convenience method for registering for the same notification from many objects. */

- (void)removeObserver:(id)observer
                  name:(NSString *)aName
               objects:(NSArray *)objects;
/* Convenience method for removing ourself for the same notification from many objects. */

@end
