// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// private $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OFCondition.h,v 1.3 1997/10/14 07:09:21 kc Exp $ */

#import "OFObject.h"
#import <mach/cthreads.h>

@class NSConditionLock;

@interface OFCondition : OFObject
{
#ifdef FAST_WAY
    struct condition machCondition;
    struct mutex     machMutex;
    unsigned int     signalCount;
#else
    NSConditionLock *lock;
#endif        
}

- init;

- (void)waitForCondition;

- (void)signalCondition;
- (void)broadcastCondition;

- (void)clearCondition;

@end
