// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OFDOServerDelegateProtocol.h,v 1.2 1998/03/16 03:42:27 kc Exp $

#import <Foundation/NSObject.h>

@class NSException;

@protocol OFDOServerDelegateProtocol <NSObject>

- (BOOL)terminateFromException:(NSException *)anException;
    // If global exception handling is enabled, the OFDOServer wraps each message received from a client in an exception handling block.  If an exception occurs, it messages the delegate with the exception.  The return value from the delegate method determines whether the server continues receiving messages, or terminates.  Normally, uncaught exceptions in a DO server are lost in the NSRunLoop.

@end
