// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// public $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/DataStructures.subproj/OFNull.h,v 1.2 1998/04/12 23:59:33 kc Exp $

#import "OFObject.h"

#import "FrameworkDefines.h"

@interface OFNull : OFObject
+ (id)nullObject;
+ (NSString *)nullStringObject;
@end

@interface OFObject (Null)
- (BOOL)isNull;
@end

#import <Foundation/NSObject.h>

@interface NSObject (Null)
- (BOOL)isNull;
@end

#import <objc/Object.h>

@interface Object (Null)
- (BOOL)isNull;
@end

OmniFoundation_EXTERN NSString *OFNullStringObject;
