// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/Scheduling.subproj/OFQueueProcessor.h,v 1.2 1997/12/29 05:05:20 wjs Exp $

#import "OFObject.h"

@class NSLock;
@class OFInvocation, OFMessageQueue;

@interface OFQueueProcessor : OFObject
{
    OFMessageQueue *messageQueue;

    NSLock *currentInvocationLock;
    OFInvocation *currentInvocation;
}

- initForQueue:(OFMessageQueue *)aQueue;

- (void)processQueueUntilEmpty;
- (void)processQueueForever;
- (void)startProcessingQueueInNewThread;

- (OFInvocation *)retainedCurrentInvocation;

@end

