// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// private $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OFRegularExpressionMatch.h,v 1.1 1997/10/03 23:40:55 toon Exp $

#import "OFObject.h"
#import <Foundation/NSRange.h>

@class OFRegularExpression, OFStringScanner;

@interface OFRegularExpressionMatch : OFObject
{
    OFRegularExpression *expression;
    OFStringScanner *scanner;
@public    
    NSRange *subExpressionMatches;
    NSRange matchRange;
}

- (NSRange)matchRange;
- (NSRange)rangeOfSubexpressionAtIndex:(unsigned int)index;
- (NSString *)subexpressionAtIndex:(unsigned int)index;

- (BOOL)findNextMatch;
- (OFRegularExpressionMatch *)nextMatch;

@end
