// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OFRetainableObject.h,v 1.2 1997/10/21 20:24:26 kc Exp $

// NeXT should have made this the root class and made NSObject a subclass of it

#import <Foundation/NSZone.h>

@interface OFRetainableObject
{
    Class isa;
}

+ (void)initialize;

+ alloc;
+ allocWithZone:(NSZone *)aZone;

- (unsigned)retainCount;
- (id)retain;
- (void)release;
- (id)autorelease;
- (void)dealloc;

@end

