// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// public $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/DataStructures.subproj/OFSparseArray.h,v 1.1 1997/12/19 01:01:05 wjs Exp $

#import "OFObject.h"

@class NSArray, NSMutableArray;

@interface OFSparseArray : OFObject
{
    NSMutableArray             *values;
    unsigned int                valuesLength;
    id                          defaultValue;
}

- initWithCapacity:(unsigned int)aCapacity;
- (unsigned int)count;
- (id)objectAtIndex:(unsigned int)anIndex;
- (void)setObject:(id)anObject atIndex:(unsigned int)anIndex;
- (void)setDefaultValue:(id)aDefaultValue;
- (NSArray *)valuesArray;

@end
