// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniHTML/View.subproj/OHHTMLOwner.h,v 1.2 1998/03/24 06:55:26 kc Exp $

#import <OmniFoundation/OFObject.h>

@class NSTextStorage;
@class OHHTMLView;

@interface OHHTMLOwner : OFObject
{
    OHHTMLView *htmlView;
}

- initWithHTMLViewClass:(Class)htmlViewClass;
    // designated initializer

- (NSTextStorage *)htmlStorage;
- (OHHTMLView *)htmlView;
- (void)documentDidDeactivate:(OHHTMLView *)document;

@end
