// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniHTML/View.subproj/OHHTMLPageContentProtocol.h,v 1.1 1998/03/21 05:27:41 kc Exp $

#import <Foundation/NSObject.h>

@class OHHTMLPageView;

@protocol OHHTMLPageContent <NSObject>

- (OHHTMLPageView *)pageView;
    // The page on which we live

- (NSColor *)backgroundColor;
    // The background color for this element

// Updating the layout

- (void)cachedWidthsAreInvalid;
    // Call this when the internal widths need to be recalculated

- (void)scheduleRelayout;
    // Call this when the layout has changed (e.g. text inset)

- (void)relayout;
    // Called by scheduleRelayout (multiple schedule calls are collapsed)

@end
