/* OWScriptEventHandlerHolder.h created by wiml on Wed 08-Apr-1998 */
// Copyright 1998 Omni Development, Inc.  All rights reserved.

#import <OmniFoundation/OFObject.h>
#import "OWScriptEvent.h"
#import "OWScriptResponderProtocol.h"

@interface OWScriptEventHandlerHolder : OFObject <OWScriptResponder>
{
    NSLock *eventHandlerLock;
    NSMutableDictionary *eventHandlers;
}


- (BOOL)handleHTMLEvent:(OWScriptEvent *)event;

- (BOOL)handleHTMLEventsInMainThread;

- (void)setHandler:(id <OWScriptResponder>)handler forEventType:(OWScriptEventType)type;

@end
