// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniNetworking/ONHostAddress.h,v 1.5 1998/03/08 10:30:07 bungi Exp $

#import <OmniBase/OBObject.h>

@interface ONHostAddress : OBObject
{
    struct in_addr *internetAddress;
}

+ (ONHostAddress *)broadcastAddress;

+ (ONHostAddress *)hostAddressWithInternetAddress:(const struct in_addr *)anInternetAddress;
+ (ONHostAddress *)anyAddress;

- (const struct in_addr *)internetAddress;
- (BOOL)isMulticastAddress;

@end
