// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Processors.subproj/SGML.subproj/OWHTMLToSGMLObjects.h,v 1.3 1998/01/26 05:47:49 kc Exp $

#import "OWDataStreamProcessor.h"

@class OFTrie;
@class OWDataStreamCursor, OWDataStreamScanner, OWObjectStream, OWSGMLDTD;

#import "OWStringDecoderProtocol.h"

@interface OWHTMLToSGMLObjects : OWDataStreamProcessor
{
    OWObjectStream *objectStream;
    OWDataStreamScanner *scanner;
    OFTrie *tagTrie;
}

+ (id <OWStringDecoder>)stringDecoder;
+ (NSStringEncoding)stringEncoding;
+ (void)setStringDecoderClass:(Class)aClass;
+ (Class)stringDecoderClass;

+ (BOOL)recognizesEntityNamed:(NSString *)entityName;
    // Returns YES if the named entity is known.

- initWithDataStreamCursor:(OWDataStreamCursor *)aDataStreamCursor forDTD:(OWSGMLDTD *)aDTD;
- initWithDataStreamCursor:(OWDataStreamCursor *)aDataStreamCursor;
- (OWObjectStream *)outputStream;

@end
