// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Content.subproj/Address.subproj/OWNetLocation.h,v 1.2 1998/01/26 06:04:22 kc Exp $

#import <OmniFoundation/OFObject.h>

@interface OWNetLocation : OFObject
{
    NSString *username;
    NSString *password;
    NSString *hostname;
    NSString *port;

    NSString *shortDisplayName;
}

+ (OWNetLocation *)netLocationWithString:(NSString *)aNetLocation;
- initWithUsername:(NSString *)aUsername password:(NSString *)aPassword hostname:(NSString *)aHostname port:(NSString *)aPort;

- (NSString *)username;
- (NSString *)password;
- (NSString *)hostname;
- (NSString *)port;

- (NSString *)displayString;
- (NSString *)shortDisplayString;

@end
