// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Content.subproj/OWObjectStream.h,v 1.3 1998/03/10 03:41:18 kc Exp $

#import "OWStream.h"

@class NSConditionLock, NSLock, NSMutableArray, NSRecursiveLock;
@class OWObjectStreamCursor;

@interface OWObjectStream : OWStream
{
    NSMutableArray *readObjects;
    NSRecursiveLock *readObjectsLock;
    BOOL endOfReadObjects;
    
    NSMutableArray *writeObjects;
    NSConditionLock *writeObjectsLock;
    BOOL endOfWriteObjects;

    NSLock *endOfDataLock;
}

- (void)writeObject:(id)anObject;
- (void)writeFormat:(NSString *)formatString, ...;

- (id)objectAtIndex:(unsigned int)index;
- (unsigned int)objectCount;

@end
