// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Content.subproj/OWObjectStreamCursor.h,v 1.2 1998/01/26 06:04:19 kc Exp $

#import "OWCursor.h"

@class OWObjectStream;

@interface OWObjectStreamCursor : OWCursor <NSCopying>
{
    OWObjectStream *objectStream;
    unsigned int streamIndex;
}

- initForObjectStream:(OWObjectStream *)anObjectStream;
- (OWObjectStream *)objectStream;

- (id)readObject;
- (void)skipObjects:(int)count;
- (void)ungetObject:(id)anObject;

@end
