// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Processors.subproj/SGML.subproj/OWSGMLAppliedMethods.h,v 1.2 1998/01/26 05:47:51 kc Exp $

#import <OmniFoundation/OFObject.h>

@class OWSGMLDTD, OWSGMLMethods;

#import <OmniFoundation/OFImplementationHolder.h> /* For voidIMP */

@interface OWSGMLAppliedMethods : OFObject
{
@public
    voidIMP *tagImplementation;
    SEL *tagSelector;
    voidIMP *endTagImplementation;
    SEL *endTagSelector;
    unsigned int tagCount;
}

- initFromSGMLMethods:(OWSGMLMethods *)sgmlMethods dtd:(OWSGMLDTD *)dtd forTargetClass:(Class)targetClass;

- (void)invokeTagAtIndex:(unsigned int)tagIndex forTarget:(id)target withObject:(id)anObject;
- (BOOL)invokeEndTagAtIndex:(unsigned int)tagIndex forTarget:(id)target withObject:(id)anObject;

@end
