// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Content.subproj/OWStream.h,v 1.3 1998/04/21 21:45:15 toon Exp $

#import "OWAbstractContent.h"

@class OWContentType, OWCursor;

@interface OWStream : OWAbstractContent
{
    OWContentType *nonretainedContentType;
}

- (id)newCursor;

- (void)setContentType:(OWContentType *)aType;
- (void)setContentTypeString:(NSString *)aString;

- (void)dataEnd;
- (void)dataAbort;

- (void)waitForDataEnd;
- (BOOL)endOfData;

@end
