// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OWF/Content.subproj/OWStringDecoderProtocol.h,v 1.2 1998/01/26 06:04:20 kc Exp $

@class NSData, NSDictionary, NSString;

#import <Foundation/NSString.h> // For NSStringEncoding

@protocol OWStringDecoder <NSObject>
+ (NSDictionary *)filterModes;
- initWithMode:(NSString *)filterMode;
- (NSString *)filterMode;
- (NSString *)stringWithData:(NSData *)someData;
- (NSStringEncoding)dominantEncoding;
@end
