// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniAppKit/OpenStepExtensions.subproj/NSView-OAExtensions.h,v 1.5 1998/01/12 06:52:25 kc Exp $

#import <AppKit/NSView.h>

@class NSFont;

@interface NSView (OAExtensions)

// Drawing
- (void)drawRoundedRect:(NSRect)rect cornerRadius:(float)radius color:(NSColor *)color;
- (void)drawHorizontalSelectionInRect:(NSRect)rect;

// Scrolling
- (void)scrollDownByPercentage:(float)percentage;
- (float)fraction;
- (void)setFraction:(float)newFract;

// Dragging
- (BOOL)shouldStartDragFromMouseDownEvent:(NSEvent *)event dragSlop:(float)dragSlop finalEvent:(NSEvent **)finalEventPointer;

@end
