// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniAppKit/Widgets.subproj/./OAProgressView.h,v 1.6 1998/02/09 22:02:12 kc Exp $

#import <AppKit/NSView.h>

@class NSString;
@class NSColor, NSFont;

@interface OAProgressView : NSView
{
    unsigned int progress;
    unsigned int total;
    struct {
        unsigned int validTotal:1;
        unsigned int validProgress:1;
        unsigned int turnedOff:1;
    } flags;
    NSImage *gaugeImage, *barberImage, *noProgressImage;
}

- (void)turnOff;
    // Turn off the progress view

- (void)processedBytes:(unsigned int)amount;
    // Use NSNotFound for undefined amount
- (void)processedBytes:(unsigned int)amount ofBytes:(unsigned int)total;

@end
