// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniAppKit/Widgets.subproj/./OAStatusDisplayer.h,v 1.1 1998/02/16 04:44:35 wjs Exp $ */

#import <OmniFoundation/OFObject.h>

@class OAStatusView;
@class NSView, NSWindow;

#import "OAExtraWindowDrawingProtocol.h"
#import "OAStatusViewPositionProtocol.h"

@interface OAStatusDisplayer : OFObject <OAExtraWindowDrawing>
{
    NSView <OAStatusViewPosition> *viewToDisplayOver;
    OAStatusView *statusView;
    NSWindow *statusWindow, *bufferWindow;
    struct {
        unsigned int shouldDraw:1;
    } flags;
    NSRect statusRect;
}

- initForView:(NSView <OAStatusViewPosition> *)aView;

// API
- (void)setStatus:(NSString *)aStatus;
- (void)setStatus:(NSString *)aStatus withProgress:(unsigned int)amount ofTotal:(unsigned int)total;


@end
