// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/OFEnrichedTextReader.h,v 1.4 1998/03/16 03:42:27 kc Exp $

#import "OFObject.h"

@class NSData;
@class OFDataCursor, OFRTFGenerator;

@interface OFEnrichedTextReader : OFObject
{
    OFDataCursor *cursor;
    OFRTFGenerator *rtfGenerator;
    BOOL noFill;
}

+ (NSData *)rtfDataFromEnrichedTextCursor:(OFDataCursor *)aCursor;

- initWithDataCursor:(OFDataCursor *)aCursor;
- (OFRTFGenerator *)rtfGenerator;

@end
