// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// public $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniFoundation/DataStructures.subproj/OFMultiValueDictionary.h,v 1.2 1998/03/26 05:58:07 luke Exp $

#import "OFObject.h"

@class NSArray;

@interface OFMultiValueDictionary : OFObject
{
    NSMutableDictionary        *dictionary;
}

- (NSArray *)arrayForKey:(NSString *)aKey;
- (id)firstObjectForKey:(NSString *)aKey;
- (id)lastObjectForKey:(NSString *)aKey;
- (void)addObject:(id)anObject forKey:(NSString *)aKey;
- (NSEnumerator *)keyEnumerator;

- (NSMutableDictionary *)dictionary;

@end
