// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniHTML/Support.subproj/OHDocumentView.h,v 1.1 1998/03/21 05:27:08 kc Exp $

#import <AppKit/NSView.h>

@class NSString;
@class NSImage;
@class OWFrameView;

#import "OHDocumentProtocol.h"
#import "OHDocumentViewProtocol.h"

@interface OHDocumentView : NSView <OHDocument, OHDocumentView>
{
    id <OHDocumentFrame> nonretainedFrameView;
    NSColor *backgroundColor;
    OWContentInfo *contentInfo;
}

+ (NSString *)contentTypeString;
+ (OWContentType *)contentType;

- (id <OHDocumentFrame>)frameView;

@end
