// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniHTML/Forms.subproj/OHFormArchive.h,v 1.1 1998/03/21 05:25:01 kc Exp $

#import <OmniFoundation/OFObject.h>

@class NSMutableArray, NSString;
@class OHForm;
@class OWAddress;

#import "OHFormElementProtocol.h"

@interface OHFormArchive : OFObject
{
    NSString *name;
    OWAddress *address;

    NSMutableArray *archivedElements;
}

+ (NSArray *)formArchivesForForms:(NSArray *)forms;
+ (void)resetForms:(NSArray *)forms fromFormArchives:(NSArray *)formArchives;

//
- initWithForm:(OHForm *)form;
- initWithPropertyList:plist;

// API
- (void)resetForm:(OHForm *)form;

- propertyList;

@end
