// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// OHHTMLLink.h created by wiml on Tue 07-Apr-1998
// $Header: /LocalDeveloper/Source/CVS/OmniGroup/OmniHTML/View.subproj/OHHTMLLink.h,v 1.1 1998/04/10 03:34:41 wiml Exp $

// An OHHTMLLink represents one hypertext link, currently either an anchor or an image-map region

#import <OmniFoundation/OFObject.h>

@class OWAddress, OWScriptEventHandlerHolder;

@interface OHHTMLLink : OFObject
{
    NSString *name;
    OWAddress *address;
    OWScriptEventHandlerHolder *eventHandlers;
}

- (OWAddress *)address;
- (void)setAddress:(OWAddress *)anAddress;

- (NSString *)name;
- (void)setName:(NSString *)aString;

- (OWScriptEventHandlerHolder *)eventHandlers;

@end
