// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniHTML/Cells.subproj/OHViewCell.h,v 1.4 1998/04/17 20:47:36 kc Exp $

#import "OHBasicCell.h"

@interface OHViewCell : OHBasicCell
{
    struct {
        unsigned int doNotRelayoutWhenContentViewFrameChanges:1;
    } viewCellFlags;
@private
    NSView *_contentView;
    NSSize _contentViewSize;
}

- (NSView *)contentView;
    // Returns the current content view.  NOTE:  Do NOT subclass this to return a different value, use -setContentView: instead.

- (void)setupContentView;
    // Subclass this method to set up the content view.

- (void)setContentView:(NSView *)newContentView;
    // Call this method from -setupContentView.

//

- (void)resetContentViewOrigin;
    // Called internally to position the content view

- (void)resetContentViewSize;
    // Called internally to size the content view

@end
